

#include "io_cfg.h"

#include <p18cxxx.h>
#include "typedefs.h"
#include "usb9.h"
#include "usbvcp.h"

#include "p18FUSBCfg.h"			// pragma configs..


rom char USB_Manufactor_StrDsc[] = "Me";
rom char USB_Product_StrDsc[] = "Test VCP2";

/** V E C T O R  R E M A P P I N G *******************************************/

extern void _startup (void);        // See c018i.c in your C18 compiler dir
#pragma code _RESET_INTERRUPT_VECTOR = 0x002000
void _reset (void)
{
    _asm goto _startup _endasm
}


#pragma code

#pragma interruptlow InterruptHandler

void InterruptHandler (void)
{

} // end void InterruptHandler(void)

#pragma code _HIGH_INTERRUPT_VECTOR = 0x002008
void _high_ISR (void)
{
    _asm
        goto InterruptHandler       // jump to interrupt routine
    _endasm
}

#pragma code InterruptVectorLow = 0x002018
void InterruptVectorLow (void)
{
    _asm
        goto InterruptHandler       // jump to interrupt routine
    _endasm
}

#pragma code
void main( void)
{
	//
	// USB Init
	//

	USBVCPInit();

	//
	// Forever..
	//
	while(1)
	{
		USBVCPTasks();

		if( kbhitUSBVCPA())
			putcUSBVCPA( getcUSBVCPA());

		if( kbhitUSBVCPB())
			putcUSBVCPB( getcUSBVCPB());
	}
}


